#! bash

curl 'https://leuris.uni-leipzig.de/anchorwheel/api' \
-X 'POST' \
-H 'Content-Type: application/json;charset=utf-8' \
--data-binary '{"operationName":"fetchPublicationQuery","query":"\n      query
fetchPublicationQuery(\n        $id: ID!,\n        $pageSize: Int!,\n
$page: Int!,\n        $sortOrder: SortOrder,\n        $sortField:
PublicationSortKeys,\n        $filterYear: Int,\n        $filterFreetext:
String,\n        $filterPerson: String,\n        $filterCategory: String,\n
$filterInProject: Boolean,\n        $filterFundedBy: Int,\n      ) {\n
organisationalUnit(id: $id) {\n          publikation:publications(\n
pageSize: $pageSize, page: $page, sortOrder: $sortOrder, orderBy:$sortField,\n
filter: {\n              year: $filterYear\n              freeText:
$filterFreetext\n              person: $filterPerson\n              category:
$filterCategory \n              inProject: $filterInProject\n
fundedBy: $filterFundedBy\n            }\n          ) {\n            meta {\n
pageNumber\n              pageSize\n              totalEntries\n
totalPages\n            }\n            entries {\n              ... on
Publication {\n                _id:id\n                _entityName\n
publikationsTyp:typeDe\n                html {\n                  de\n
en\n                }\n              }\n            }\n          }\n        }\n
}\n
","variables":{"id":1,"pageSize":1000000,"page":1,"sortOrder":"DESC","sortField":"YEAR","filterYear":2023}}' > data/publications.json

